/*
 * Title        :  GT2InfoGatherer.java
 * Package      :  org.gridbus.gridscape.resourcemonitor.plugins
 * Project      :  Gridscape Resource Monitor
 * Description	:  		
 * Created on   :  Feb 9, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2006, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.resourcemonitor.plugins;

import org.gridbus.gridscape.core.Resource;
import org.gridbus.gridscape.core.ResourceInfo;
import org.gridbus.gridscape.resourcemonitor.InfoGatherer;

/**
 * SSH Info Gatherer.  Not yet implemented.  Could be used to discover
 * information about any resource via ssh.
 * 
 * TODO May require implementation of resource credentials into the Gridscape system.
 *      Otherwise we can use PKI login and require environment to be setup correcly.
 * 
 * @author hag
 *
 */
public class SSHInfoGatherer implements InfoGatherer {

    /**
     * @param r
     * @return info
     */
    public ResourceInfo gatherInfo(Resource r) {
        ResourceInfo info = new ResourceInfo();
        
        // Use ssh library to log into machine using keys
        // run simple commands to gather info about the resource
        // set info
        
        return info;
    }
}
