-- MySQL dump 10.9
--
-- Host: localhost    Database: gridscape
-- ------------------------------------------------------
-- Server version	4.1.9-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `appconfig`
--

DROP TABLE IF EXISTS `appconfig`;
CREATE TABLE `appconfig` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dimH` varchar(6) NOT NULL default '490px',
  `dimW` varchar(6) NOT NULL default '90%',
  `lat` varchar(45) NOT NULL default '0.0',
  `lng` varchar(45) NOT NULL default '0.0',
  `mapType` varchar(45) NOT NULL default 'MAP_TYPE',
  `allowZoom` tinyint(1) unsigned NOT NULL default '1',
  `showList` tinyint(1) unsigned NOT NULL default '1',
  `showToolbar` tinyint(1) unsigned NOT NULL default '1',
  `mapKey` varchar(100) NOT NULL default '',
  `zoomLevel` int(10) unsigned NOT NULL default '14',
  `baseURL` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `appconfig`
--

/*!40000 ALTER TABLE `appconfig` DISABLE KEYS */;
LOCK TABLES `appconfig` WRITE;
INSERT INTO `appconfig` VALUES (1,'490px','90%','0.0','14.604847155053898','G_HYBRID_TYPE',1,1,1,'ABQIAAAAeJFzS71bNA89UdYq3IcB_RRyeNfuUeJPfycdlijBK5oAZ7lmAhSyf-M1gdnd2RhTE6AQbqRdxrdxbw',15,'http://gieseking.cs.mu.oz.au:9090/gridscape');
UNLOCK TABLES;
/*!40000 ALTER TABLE `appconfig` ENABLE KEYS */;

--
-- Table structure for table `country`
--

DROP TABLE IF EXISTS `country`;
CREATE TABLE `country` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL default '',
  `code` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `country`
--

/*!40000 ALTER TABLE `country` DISABLE KEYS */;
LOCK TABLES `country` WRITE;
INSERT INTO `country` VALUES (1,'','default'),(2,'Afghanistan','afghanistan'),(3,'Albania','albania'),(4,'Algeria','algeria'),(5,'Andorra','andorra'),(6,'Angola','angola'),(7,'Antiguabarbuda','antiguabarbuda'),(8,'Argentina','argentina'),(9,'Armenia','armenia'),(10,'Australia','australia'),(11,'Austria','austria'),(12,'Azerbaijan','azerbaijan'),(13,'Bahamas','bahamas'),(14,'Bahrain','bahrain'),(15,'Bangladesh','bangladesh'),(16,'Barbados','barbados'),(17,'Belarus','belarus'),(18,'Belgium','belgium'),(19,'Belize','belize'),(20,'Benin','benin'),(21,'Bhutan','bhutan'),(22,'Bolivia','bolivia'),(23,'Bosnia_herzegovina','bosnia_herzegovina'),(24,'Botswana','botswana'),(25,'Brazil','brazil'),(26,'Brunei','brunei'),(27,'Bulgaria','bulgaria'),(28,'Burkina','burkina'),(29,'Burma','burma'),(30,'Burundi','burundi'),(31,'Cambodia','cambodia'),(32,'Cameroon','cameroon'),(33,'Canada','canada'),(34,'Centralafricanrep','centralafricanrep'),(35,'Chad','chad'),(36,'Chile','chile'),(37,'China','china'),(38,'Colombia','colombia'),(39,'Comoros','comoros'),(40,'Congo','congo'),(41,'Costarica','costarica'),(42,'Croatia','croatia'),(43,'Cuba','cuba'),(44,'Cyprus','cyprus'),(45,'Czechrepublic','czechrepublic'),(46,'Demrepcongo','demrepcongo'),(47,'Denmark','denmark'),(48,'Djibouti','djibouti'),(49,'Dominica','dominica'),(50,'Dominicanrep','dominicanrep'),(51,'Ecuador','ecuador'),(52,'Egypt','egypt'),(53,'Elsalvador','elsalvador'),(54,'Eq_guinea','eq_guinea'),(55,'Eritrea','eritrea'),(56,'Estonia','estonia'),(57,'Ethiopia','ethiopia'),(58,'Fiji','fiji'),(59,'Finland','finland'),(60,'France','france'),(61,'Gabon','gabon'),(62,'Gambia','gambia'),(63,'Georgia','georgia'),(64,'Germany','germany'),(65,'Ghana','ghana'),(66,'Greece','greece'),(67,'Grenada','grenada'),(68,'Grenadines','grenadines'),(69,'Guatemala','guatemala'),(70,'Guinea','guinea'),(71,'Guineabissau','guineabissau'),(72,'Guyana','guyana'),(73,'Haiti','haiti'),(74,'Honduras','honduras'),(75,'Hong_kong','hong_kong'),(76,'Hungary','hungary'),(77,'Iceland','iceland'),(78,'Index','index'),(79,'India','india'),(80,'Indonesia','indonesia'),(81,'Iran','iran'),(82,'Iraq','iraq'),(83,'Ireland','ireland'),(84,'Israel','israel'),(85,'Italy','italy'),(86,'Ivorycoast','ivorycoast'),(87,'Jamaica','jamaica'),(88,'Japan','japan'),(89,'Jordan','jordan'),(90,'Kazakhstan','kazakhstan'),(91,'Kenya','kenya'),(92,'Kiribati','kiribati'),(93,'Kuwait','kuwait'),(94,'Kyrgyzstan','kyrgyzstan'),(95,'Laos','laos'),(96,'Latvia','latvia'),(97,'Lebanon','lebanon'),(98,'Liberia','liberia'),(99,'Libya','libya'),(100,'Liechtenstein','liechtenstein'),(101,'Lithuania','lithuania'),(102,'Luxembourg','luxembourg'),(103,'Macau','macau'),(104,'Macedonia','macedonia'),(105,'Madagascar','madagascar'),(106,'Malawi','malawi'),(107,'Malaysia','malaysia'),(108,'Maldives','maldives'),(109,'Mali','mali'),(110,'Malta','malta'),(111,'Mauritania','mauritania'),(112,'Mauritius','mauritius'),(113,'Mexico','mexico'),(114,'Micronesia','micronesia'),(115,'Moldova','moldova'),(116,'Monaco','monaco'),(117,'Mongolia','mongolia'),(118,'Morocco','morocco'),(119,'Mozambique','mozambique'),(120,'Namibia','namibia'),(121,'Nauru','nauru'),(122,'Nepal','nepal'),(123,'Netherlands','netherlands'),(124,'Neth_antilles','neth_antilles'),(125,'Newzealand','newzealand'),(126,'Nicaragua','nicaragua'),(127,'Niger','niger'),(128,'Nigeria','nigeria'),(129,'North_korea','north_korea'),(130,'Norway','norway'),(131,'Oman','oman'),(132,'Pakistan','pakistan'),(133,'Panama','panama'),(134,'Papuanewguinea','papuanewguinea'),(135,'Paraguay','paraguay'),(136,'Peru','peru'),(137,'Philippines','philippines'),(138,'Poland','poland'),(139,'Portugal','portugal'),(140,'Puertorico','puertorico'),(141,'Qatar','qatar'),(142,'Rawanda','rawanda'),(143,'Romania','romania'),(144,'Russia','russia'),(145,'Sao_tome','sao_tome'),(146,'Saudiarabia','saudiarabia'),(147,'Senegal','senegal'),(148,'Serbia','serbia'),(149,'Seychelles','seychelles'),(150,'Sierraleone','sierraleone'),(151,'Singapore','singapore'),(152,'Slovakia','slovakia'),(153,'Slovenia','slovenia'),(154,'Solomon_islands','solomon_islands'),(155,'Somalia','somalia'),(156,'Southafrica','southafrica'),(157,'South_korea','south_korea'),(158,'Spain','spain'),(159,'Srilanka','srilanka'),(160,'Stkitts_nevis','stkitts_nevis'),(161,'Stlucia','stlucia'),(162,'Sudan','sudan'),(163,'Suriname','suriname'),(164,'Sweden','sweden'),(165,'Switzerland','switzerland'),(166,'Syria','syria'),(167,'Taiwan','taiwan'),(168,'Tajikistan','tajikistan'),(169,'Tanzania','tanzania'),(170,'Thailand','thailand'),(171,'Togo','togo'),(172,'Tonga','tonga'),(173,'Trinidadandtobago','trinidadandtobago'),(174,'Tunisia','tunisia'),(175,'Turkey','turkey'),(176,'Turkmenistan','turkmenistan'),(177,'Tuvala','tuvala'),(178,'Uae','uae'),(179,'Uganda','uganda'),(180,'Uk','uk'),(181,'Ukraine','ukraine'),(182,'Uruguay','uruguay'),(183,'Usa','usa'),(184,'Ussr','ussr'),(185,'Uzbekistan','uzbekistan'),(186,'Vanuatu','vanuatu'),(187,'Venezuela','venezuela'),(188,'Vietnam','vietnam'),(189,'Western_samoa','western_samoa'),(190,'Yemen','yemen'),(191,'Yugoslavia','yugoslavia'),(192,'Zaire','zaire'),(193,'Zambia','zambia'),(194,'Zimbabwe','zimbabwe');
UNLOCK TABLES;
/*!40000 ALTER TABLE `country` ENABLE KEYS */;

--
-- Table structure for table `info`
--

DROP TABLE IF EXISTS `info`;
CREATE TABLE `info` (
  `resource_id` int(10) unsigned NOT NULL default '0',
  `info` text NOT NULL,
  PRIMARY KEY  (`resource_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;


--
-- Table structure for table `location`
--

DROP TABLE IF EXISTS `location`;
CREATE TABLE `location` (
  `resource_id` int(10) unsigned NOT NULL default '0',
  `longitude` varchar(45) NOT NULL default '0.0',
  `latitude` varchar(45) NOT NULL default '0.0',
  `country_id` int(10) unsigned NOT NULL default '1',
  PRIMARY KEY  (`resource_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Table structure for table `resource`
--

DROP TABLE IF EXISTS `resource`;
CREATE TABLE `resource` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `hostname` varchar(45) NOT NULL default '',
  `description` text NOT NULL,
  `type` varchar(45) NOT NULL default '',
  `online` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

