<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.lang.Integer" %>
<%@ page import="org.gridbus.gridscape.util.DisplayUtil" %>
<%@ page import="org.gridbus.gridscape.core.Resource" %>
<%@ page import="org.gridbus.gridscape.core.ResourceInfo" %>
<%@ page import="org.gridbus.gridscape.core.Location" %>
<%@ page import="org.gridbus.gridscape.core.Country" %>
<%@ page import="org.gridbus.gridscape.core.AppConfig" %>
<%@ page import="org.gridbus.gridscape.util.StyleUtil" %>
<jsp:useBean id="url" class="java.lang.String" scope="request"/>
<jsp:useBean id="query" class="java.lang.String" scope="request"/>


	<% AppConfig appcfg = (AppConfig) request.getAttribute("appcfg"); %>
	<% LinkedHashMap resources = (LinkedHashMap) request.getAttribute("resources"); %>
	<% Resource r = null; %>
	<% Location l = null; %>
	<% ResourceInfo info = null; %>
	<% Country c = null; %>

    <script type="text/javascript">    
    //<![CDATA[
    
	    // Global GMarkers + info
	    var markers = [];
	    var markersInfo = [];
	    var map;
	    var baseURL = "<%= appcfg.getBaseURL() %>";

    //]]>
    </script>
	<script src="<%= appcfg.getBaseURL() %>/html/gridscape-common.js" type="text/javascript"></script>
	<script src="http://maps.google.com/maps?file=api&v=1&key=<%= appcfg.getMapKey() %>" type="text/javascript"></script>
	
	<div style="font-size:10px;width:100%;" align="center">
	
	<div id="map" style="width:<%= appcfg.getDimW() %>;height:<%= appcfg.getDimH() %>;padding:5px;border:1px solid black;margin-left:auto;margin-right:auto;"></div>
	
	<% if (appcfg.isShowToolbar()) { %>
	<div id="controls" style="width: 90%;padding:5px;margin-left:auto;margin-right:auto;">
		<table border="0" width="100%">
			<tr>
				<td align="left">
					go to: 
					<select name="resource" id="resource" onChange="flyTo()"/>
						<% for (Iterator it=resources.values().iterator();it.hasNext();) { %>
						<%     r = (Resource)it.next(); %>
							<option value="<%= r.getID() %>"><%= r.getHostname() %></option>
						<% } %>
					</select>
					&nbsp;&nbsp;&nbsp;
					region: 
					<select name="flyToRegion" id="flyToRegion" onChange="flyToRegion()"/>
							<option value="australia">Australia</option>
							<option value="europe">Europe</option>
							<option value="india">India</option>
							<option value="usa">USA</option>
							<option value="oceania">Oceania</option>
					</select>
				</td>				
				<td align="right">
					<form method="POST" action=<%= url %>>
						<input type="text" name="query" value="<%= query %>"/>
						<input type="submit" name="search" value="search"/>
					</form>
				</td>
			</tr>
		</table>
	</div>
	<% } %>
	
	<% if (appcfg.isShowList()) { %>
	<div style="height:10px">&nbsp;</div>
	<div id="resources" style="font-size:12px;width:90%;padding:5px;border:1px solid black;margin-left:auto;margin-right:auto;" align="left">
		<table>
			<tr>
				<td>
					<b>Country</b>
				</td>
				<td>
					<b>Status</b>
				</td>
				<td>
					<b>Hostname</b>
				</td>
				<td>
					<b>Description</b>
				</td>
				<td style="width:10px;">&nbsp;</td>
				<td>
					<b>Info</b>
				</td>
			</tr>

			<!--
			<c:forEach items="${resources.values}" var="resource">
				<c:set var="l" value="${resource.location}" scope="request"/>
				<c:out value="${resource.info.info}"/>
				<c:out value="${resource.location.latitute}"/>
			</c:forEach>
			-->

			<% int alt=0; %>
			<% for (Iterator it=resources.values().iterator();it.hasNext();) { %>
			<%     alt++; %>
			<%     r = (Resource)it.next(); %>
			<%     info = r.getInfo(); %>
			<%     l = r.getLocation(); %>
			<%     c = l.getCountry(); %>
			<%     if ((alt%2) == 1) { %>
			<tr style="background-color:#FFFFFF;">
			<%     } else { %>
			<tr>
			<%     } %>

				<td style="font-size:9px;">
					<img src="<%= appcfg.getBaseURL() %>/flags/<%= c.getCode() %>_small.png" alt="<%= c.getName() %>" height="12" width="20"/>
					<br>
					<%= c.getName() %>
				</td>
				<td>
					<img src="<%= appcfg.getBaseURL() %>/icons/online_<%= r.isOnline() %>.png"/>
				</td>
				<td>
					<a href="javascript:showInfo(<%= r.getID() %>)"><%= r.getHostname() %></a>
				</td>
				<td>
					<%= r.getDescription() %>
				</td>
				<td style="width:10px;">&nbsp;</td>
				<td>
					<%= StyleUtil.style(info,r.getType(),StyleUtil.ELEMENT_INFO,StyleUtil.FORMAT_ROW) %>
				</td>				
		   </tr>
			<% } %>
	</div>	
	<% } %>
	
	</div>
	
	<br/>
	
	<div id="logo" style="display:none;position:absolute;width:100;height:22;">
		<a href="http://www.gridbus.org/gridscape/" target="_blank"><img src="<%= appcfg.getBaseURL() %>/icons/gridscape_logo.gif" width="100" height="22" border="0"></a>
	</div>

	
    <script type="text/javascript">
    //<![CDATA[
    
    // create marker for offline resources
	var icon = createMarker('red');
	
	// create marker for online resources
	var icona = createMarker('green');

    function showMap () {
	    map = new GMap(document.getElementById("map"));	
	    map.addControl(new GMapTypeControl());
	    map.centerAndZoom(new GPoint(<%= appcfg.getLat() %>, <%= appcfg.getLng() %>), <%= appcfg.getZoomLevel() %>);
	    map.setMapType(<%= appcfg.getMapType() %>);

		<% if (appcfg.isAllowZoom()) { %>
			map.addControl(new GLargeMapControl());
		<% } else { %>
			map.disableDragging();
		<% } %>

		<% for (Iterator it=resources.values().iterator();it.hasNext();) { %>
		<%     r = (Resource)it.next(); %>
		<%     l = r.getLocation(); %>
		<%     info = r.getInfo(); %>
		
			var point = new GPoint(<%= l.getLatitude() %>,<%= l.getLongitude() %>);
		<%     if (r.isOnline()) {%>
			var marker = new GMarker(point,icona);
		<%     } else { %>
			var marker = new GMarker(point,icon);
		<%     } %>
			GEvent.addListener(marker, 'click', function() {
				showInfo(<%= r.getID() %>);
			});
			map.addOverlay(marker);

			markers[<%= r.getID() %>] = marker;
			markersInfo[<%= r.getID() %>] = '<%= StyleUtil.style(r,null,StyleUtil.ELEMENT_RESOURCE,StyleUtil.FORMAT_POPUP)+StyleUtil.style(info,r.getType(),StyleUtil.ELEMENT_INFO,StyleUtil.FORMAT_POPUP) %>';
			
		<% } %>

		updateDisplay();
	}

	window.onload = showMap;
	window.onresize = updateDisplay;
	
    //]]>
    
    </script>
