<%@ page import="java.util.LinkedHashMap" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.lang.Integer" %>
<%@ page import="org.gridbus.gridscape.util.DisplayUtil" %>
<%@ page import="org.gridbus.gridscape.core.Resource" %>
<%@ page import="org.gridbus.gridscape.core.ResourceInfo" %>
<%@ page import="org.gridbus.gridscape.core.Location" %>
<%@ page import="org.gridbus.gridscape.core.Country" %>
<%@ page import="org.gridbus.gridscape.core.AppConfig" %>
<%@ page import="org.gridbus.gridscape.util.StyleUtil" %>
<jsp:useBean id="selectedId" class="java.lang.String" scope="request"/>
<jsp:useBean id="url" class="java.lang.String" scope="request"/>

	<% AppConfig appcfg = (AppConfig) request.getAttribute("appcfg"); %>
	<% LinkedHashMap resources = (LinkedHashMap) request.getAttribute("resources"); %>
	<% Vector countries = (Vector) request.getAttribute("countries"); %>
	<% Resource r = null; %>
	<% Location l = null; %>
	<% ResourceInfo info = null; %>
	<% int selected = -1; %>	
	<% if (selectedId != null) { selected = Integer.parseInt(selectedId); } %>

    <script type="text/javascript">    
    //<![CDATA[
    
	    // Global GMarkers + info
	    var markers = [];
	    var markersInfo = [];
	    var map;
	    var baseURL = "<%= appcfg.getBaseURL() %>";

    //]]>
    </script>
	<script src="<%= appcfg.getBaseURL() %>/html/gridscape-common.js" type="text/javascript"></script>
	<script src="http://maps.google.com/maps?file=api&v=1&key=<%= appcfg.getMapKey() %>" type="text/javascript"></script>

	<div style="font-size:10px;width:100%;" align="center">
	
	<div id="map" style="width:<%= appcfg.getDimW() %>;height:<%= appcfg.getDimH() %>;padding:5px;border:1px solid black;margin-left:auto;margin-right:auto;"></div>
	
	<br/>
	<div style="width:90%;padding:5px;border:1px solid black;margin-left:auto;margin-right:auto;" align="left">
	<A onClick="Toggle(this)"><IMG SRC="<%= appcfg.getBaseURL() %>/icons/plus.gif" height="9" width="9"/>  Advanced Customisation ... </A>
	<div id="config" style="display:none;width:100%;padding:5px;margin-left:auto;margin-right:auto;" align="left">

	<form method="POST" action=<%= url %>>
		<input type="hidden" name="form" value="customise"/>
		<table border="0" align="center">
			<tr>
				<td>google maps key</td>
				<td colspan="4"><input type="text" name="mapKey" value="<%= appcfg.getMapKey() %>" size="100"/></td>
			</tr>
			<tr>
				<td>portlet base URL</td>
				<td colspan="4"><input type="text" name="baseURL" value="<%= appcfg.getBaseURL() %>" size="100"/></td>
			</tr>
			<tr>
				<td>map dimensions</td>
				<td><input type="text" name="dimH" value="<%= appcfg.getDimH() %>"/> H </td>
				<td><input type="text" name="dimW" value="<%= appcfg.getDimW() %>"/> W </td>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<td>start position</td>
				<td><input type="text" id="lat" name="lat" value="<%= appcfg.getLat() %>"/> lat </td>
				<td><input type="text" id="lng" name="lng" value="<%= appcfg.getLng() %>"/> lng </td>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<td>start zoom level</td>
				<td><input type="text" id="zoomLevel" name="zoomLevel" value="<%= appcfg.getZoomLevel() %>"/></td>
				<td colspan="3">&nbsp;</td>				
			</tr>
			<tr>
				<td>map type</td>
				<td><input type="radio" id="mapType_Map" name="mapType" value="G_MAP_TYPE" <%= appcfg.getMapType().equals(AppConfig.MAP_TYPE)?"checked":"" %>/> MAP</td>
				<td><input type="radio" id="mapType_Satellite" name="mapType" value="G_SATELLITE_TYPE" <%= appcfg.getMapType().equals(AppConfig.SATELLITE_TYPE)?"checked":"" %>/> SATELLITE</td>
				<td><input type="radio" id="mapType_Hybrid" name="mapType" value="G_HYBRID_TYPE" <%= appcfg.getMapType().equals(AppConfig.HYBRID_TYPE)?"checked":"" %>/> HYBRID</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>zoom and pan</td>
				<td><input type="radio" name="allowZoom" value="true" <%= appcfg.isAllowZoom()?"checked":"" %>/> enable</td>
				<td><input type="radio" name="allowZoom" value="false" <%= appcfg.isAllowZoom()?"":"checked" %>/> disable</td>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<td>toolbar</td>
				<td><input type="radio" name="showToolbar" value="true" <%= appcfg.isShowToolbar()?"checked":"" %>/> show</td>
				<td><input type="radio" name="showToolbar" value="false" <%= appcfg.isShowToolbar()?"":"checked" %>/> hide</td>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<td>resource list</td>
				<td><input type="radio" name="showList" value="true" <%= appcfg.isShowList()?"checked":"" %>/> show</td>
				<td><input type="radio" name="showList" value="false" <%= appcfg.isShowList()?"":"checked" %>/> hide</td>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr align="center">
				<td colspan="5"><input type="reset" value="cancel"/> <input type="submit" name="option" value="ok, accept changes"/></td>
			</tr>
		</table>
	</form>
	
	</div>
	</div>
	<br/>
	<div id="controls" style="width:90%;padding:5px;border:1px solid black;margin-left:auto;margin-right:auto;">
		<table border="0">
			<tr>
				<td>
					<form name="editSelect" id="editSelect" method="POST" action=<%= url %>>
						<input type="hidden" name="form" value="resource"/>
						<select name="resource" id="resource" onChange="flyTo()"/>
							<% for (Iterator it=resources.values().iterator();it.hasNext();) { %>
							<%     r = (Resource)it.next(); %>
								<option value="<%= r.getID() %>"><%= r.getHostname() %></option>
							<% } %>
						</select>
						<input type="submit" name="option" value="edit"/>						
					</form>
				</td>
				<td>&nbsp;OR&nbsp;</td>
				<td>
					<form method="POST" action=<%= url %>>
					<input type="hidden" name="form" value="resource"/>
						<input type="text" name="newHostname" value="hostname" onClick="clearDefaultValue(this)"/>
						<input type="submit" name="option" value="new"/>
					</form>
				</td>
			</tr>
		</table>

	<% if (selected > 0) { %>
		<% Resource selr = (Resource)resources.get(selectedId); %>
		<% Location sell = selr.getLocation(); %>
		<% Country selc = sell.getCountry(); %>

		<hr width="80%"/>

		<form method="POST" action="<%= url %>">
		<input type="hidden" name="form" value="resource"/>
		<input type="hidden" name="selectedId" value="<%= selectedId %>"/>
		<table>
			<tr>
				<td colspan="2">
					<b>Edit Resource Details</b>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					&nbsp;
				</td>
			</tr>
			<tr>
				<td>
					<table border="0">
						<tr>
							<td>
								hostname
							</td>
							<td>
								<input type="text" name="hostname" value="<%= selr.getHostname() %>"/>
							</td>
						</tr>
						<tr>
							<td>
								description
							</td>
							<td>
								<textarea name="description"><%= selr.getDescription() %></textarea>
							</td>
						</tr>
						<tr>
							<td>
								type
							</td>
							<td>
								<select name="type">
									<option value="GT2" <%if(selr.getType().equals("GT2")){%>selected<%}%>>GT2</option>
									<option value="GT4" <%if(selr.getType().equals("GT4")){%>selected<%}%>>GT4</option>
									<option value="SSH" <%if(selr.getType().equals("SSH")){%>selected<%}%>>SSH</option>
								</select>
							</td>
						</tr>
					</table>
				</td>
				<td>
					<table border="0">
						<tr>
							<td>country</td>
							<td>	
								<select name="country">
									<% for (int i=0;i<countries.size();i++) { %>
									<%     Country c = (Country)countries.elementAt(i); %>
										<option value="<%= c.getID() %>" <%if(selc.getID()==c.getID()){%>selected<%}%>><%= c.getName() %></option>
									<% } %>
								</select>
							</td>
						</tr>
						<tr><td colspan="2" style="font-size:9px;"><i>click on map to set position</i></td></tr>
						<tr>
							<td>latitude</td>
							<td>
								<input type="text" name="latitude" id="latitude" value="<%= sell.getLatitude() %>"/>
							</td>
						</tr>
						<tr>
							<td>longitude</td>
							<td>
								<input type="text" name="longitude" id="longitude" value="<%= sell.getLongitude() %>"/>
							</td>
						</tr>
					</table>					
				</td>
			</tr>
			<tr>
				<td colspan="2">
					&nbsp;
				</td>
			</tr>
			<tr>
				<td colspan="2" align="center">
					<input type="submit" name="option" value="delete" onclick="return confirm('Are you sure you want to delete <%= selr.getHostname() %>?')"/>&nbsp;|&nbsp;
					<input type="submit" name="option" value="cancel"/>
					<input type="submit" name="option" value="ok, accept changes"/>
				</td>
			</tr>
		</table>
		</form>
	<% } %>

	</div>
	<br/>
	</div>	
	<br/>
	
	<div id="logo" style="display:none;position:absolute;width:100;height:22;">
		<a href="http://www.gridbus.org/gridscape/" target="_blank"><img src="<%= appcfg.getBaseURL() %>/icons/gridscape_logo.gif" width="100" height="22" border="0"></a>
	</div>

	
    <script type="text/javascript">
    //<![CDATA[

    // create marker for other resources
	var icon = createMarker('red');
	
	// create marker for active
	var icona = createMarker('green');
		
    function showMap () {
	    map = new GMap(document.getElementById("map"));	
	    map.addControl(new GMapTypeControl());
	    map.addControl(new GLargeMapControl());
	    map.centerAndZoom(new GPoint(<%= appcfg.getLat() %>, <%= appcfg.getLng() %>), <%= appcfg.getZoomLevel() %>);
	    map.setMapType(<%= appcfg.getMapType() %>);

		GEvent.addListener(map, 'click', function(overlay, point) {
			if (point) {
				markers[<%= selectedId %>].point.x = point.x;
				markers[<%= selectedId %>].point.y = point.y;
				markers[<%= selectedId %>].redraw(true);
				map.recenterOrPanToLatLng(new GPoint(point.x,point.y));
				updateCoords(point.x,point.y,"latitude","longitude");
			}
		});

		GEvent.addListener(map, 'moveend', function() {
			var center = map.getCenterLatLng();
			updateCoords(center.x,center.y,"lat","lng");
		});

		GEvent.addListener(map, 'maptypechanged', function() {
			updateMapType(map.getCurrentMapType().getLinkText(),"mapType");
		});

		GEvent.addListener(map, 'zoom', function(oldZoomLevel, newZoomLevel) {
			updateZoomLvl(newZoomLevel,"zoomLevel");
		});

		<% for (Iterator it=resources.values().iterator();it.hasNext();) { %>
		<%     r = (Resource)it.next(); %>
		<%     l = r.getLocation(); %>
		<%     info = r.getInfo(); %>

			var point = new GPoint(<%= l.getLatitude() %>,<%= l.getLongitude() %>);
		<%     if (r.getID() == selected) {%>
			var marker = new GMarker(point,icona);
		<%     } else { %>
			var marker = new GMarker(point,icon);
		<%     } %>
			GEvent.addListener(marker, 'click', function() {
				showInfo(<%= r.getID() %>);
			});
			map.addOverlay(marker);
		
			markers[<%= r.getID() %>] = marker;
			markersInfo[<%= r.getID() %>] = '<%= StyleUtil.style(r,null,StyleUtil.ELEMENT_RESOURCE,StyleUtil.FORMAT_POPUP)+StyleUtil.style(info,r.getType(),StyleUtil.ELEMENT_INFO,StyleUtil.FORMAT_POPUP) %>';

		<% } %>
		
		updateDisplay();
	}

	window.onload = showMap;
	window.onresize = updateDisplay;	
	
    //]]>
    </script>
