<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method='html' version='1.0' encoding='UTF-8' indent='yes'/>

<xsl:template match="/">
<div align="left">
    <table>
        <tr>
            <td rowspan='2'>
                <img>
	            <xsl:for-each select="resource/image">
	                <xsl:copy-of select="image-flag/@*" />
	            </xsl:for-each>
                </img>
            </td>
            <td>
                <xsl:for-each select="resource/type">
                    <b>[<xsl:value-of select="value"/>]  </b>
                </xsl:for-each>
                <xsl:for-each select="resource/hostname">
                    <b><xsl:value-of select="value"/></b><br/>
                </xsl:for-each>
                <xsl:for-each select="resource/description">
                    <i><xsl:value-of select="value"/></i>
                </xsl:for-each>
            </td>
        </tr>
    </table>
</div>
</xsl:template>
</xsl:stylesheet>
